Issue1488

classification
Title: sax JyInputSourceWrapper does not support unicode strings
Type: behaviour Severity: normal
Components: Library Versions: 2.5.1, 2.5.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, artnol
Priority: Keywords:

Created on 2009-10-09.14:34:55 by artnol, last changed 2010-04-16.18:14:13 by amak.

Messages
msg5227 (view) Author: Arthur Noel (artnol) Date: 2009-10-09.14:34:54
JyInputSourceWrapper __init__ (xml.sax.drivers2.drv_javasax line 65) 
uses isinstance(source, str) meaning that you can't pass a unicode 
string as source - should this not be to isinstance(source, basestring)?
msg5725 (view) Author: Alan Kennedy (amak) Date: 2010-04-16.18:14:13
Fix checked in at revision 7028.

Thanks for the report and the fix.
History
Date User Action Args
2010-04-16 18:14:13amaksetstatus: open -> closed
assignee: amak
resolution: fixed
messages: + msg5725
nosy: + amak
2009-12-22 17:43:00lheuersetversions: + 2.5.0
2009-10-09 14:34:55artnolcreate